Get email by Id

http
GET https://services.leadconnectorhq.com/conversations/messages/email/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Responses

200 - Email object for the id given.
  • id (string, required): Example: ve9EPM428h8vShlRW1KT

  • altId (string): External Id Example: ve9EPM428h8vShlRW1KT

  • threadId (string, required): Message Id or thread Id Example: ve9EPM428h8vShlRW1KT

  • locationId (string, required): Example: ve9EPM428h8vShlRW1KT

  • contactId (string, required): Example: ve9EPM428h8vShlRW1KT

  • conversationId (string, required): Example: ve9EPM428h8vShlRW1KT

  • dateAdded (string, required): Example: 2024-03-27T18:13:49.000Z

  • subject (string): Example: Order confirm

  • body (string, required): Example: Hi there

  • direction (string, required): Possible values: 'inbound', 'outbound'

  • status (string): Possible values: 'pending', 'scheduled', 'sent', 'delivered', 'read', 'undelivered', 'connected', 'failed', 'opened'

  • contentType (string, required): Example: text/plain

  • attachments (string[]): An array of attachment URLs.

  • provider (string)

  • from (string, required): Name and Email Id of the sender

  • to (string[], required): List of email Ids of the receivers

  • cc (string[]): List of email Ids of the people in the cc field

  • bcc (string[]): List of email Ids of the people in the bcc field

  • replyToMessageId (string): In case of reply, email message Id of the reply to email

  • source (string): Email source Possible values: 'workflow', 'bulk_actions', 'campaign', 'api', 'app'

  • conversationProviderId (string): Conversation provider ID Example: cI08i1Bls3iTB9bKgF01

json
{
  "id": "ve9EPM428h8vShlRW1KT",
  "altId": "ve9EPM428h8vShlRW1KT",
  "threadId": "ve9EPM428h8vShlRW1KT",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "dateAdded": "2024-03-27T18:13:49.000Z",
  "subject": "Order confirm",
  "body": "Hi there",
  "direction": "inbound",
  "status": "pending",
  "contentType": "text/plain",
  "attachments": [
    "string"
  ],
  "provider": "string",
  "from": "string",
  "to": [
    "string"
  ],
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "replyToMessageId": "string",
  "source": "workflow",
  "conversationProviderId": "cI08i1Bls3iTB9bKgF01"
}

Example

curl -X GET 'https://services.leadconnectorhq.com/conversations/messages/email/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?